import datetime

from django.contrib.auth.decorators import login_required
from django.shortcuts import render_to_response 
from django.template import RequestContext 

from app_metrics.models import * 
from app_metrics.trending import trending_for_metric


@login_required 
def metric_report_view(request, data=datetime.date.today()):
    metric_trends = []
    for m in Metric.objects.all(): 
        dict = {'metric': m}
        dict['trends'] = trending_for_metric(m, data-datetime.timedelta(days=1))
        metric_trends.append(dict)
    return render_to_response('app_metrics/reports.html', locals(),
                              RequestContext(request))



